org.apache.maven.plugin

## Class PluginManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.PluginManagerException

All Implemented Interfaces:
  java.io.Serializable

    public class PluginManagerException
    extends java.lang.Exception

Exception in the plugin manager.

Version:
  $Id: PluginManagerException.java 747855 2009-02-25 16:43:11Z jdcasey $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginManagerException(java.lang.String message)`
`PluginManagerException(java.lang.String message, java.lang.Throwable e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginManagerException

    public PluginManagerException(java.lang.String message)

#### PluginManagerException

    public PluginManagerException(java.lang.String message,
                          java.lang.Throwable e)